Bug 759359 - "Search project" does not find correct result.
"Search project" does not find correct result.
Status: CLOSED NEXTRELEASE
Product: Zanata
Classification: Community
Component: Component-Persistence (Show other bugs)
1.4.3-SNAPSHOT
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks: Zanata-1.4.4
  Show dependency treegraph
 
Reported: 2011-12-02 00:47 EST by Ding-Yi Chen
Modified: 2011-12-12 20:48 EST (History)
2 users (show)

See Also:
Fixed In Version: Zanata version 1.4.4-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-12 20:48:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-12-02 00:47:27 EST
Description of problem:
On Zanata 1.4.3, searching project sometimes failed to retrieve relevant results.

This did not happen in Zanata version 1.4.1 (20111006-0937)

Version-Release number of selected component (if applicable):
Zanata version 1.4.3-beta-1 (20111201-2036)

How reproducible:
Always

Steps to Reproduce:
1. Login in the staging instance
2. Search project by "rhn"
  
Actual results:
Only "RHN Satellite UI" is returned

Expected results:

3 projects should be returned:
rhn-client-tools
RHN Satellite UI
RHN_Subscription_Management


Additional info:
Make sure the database has been re-indexed.

To re-indexed the database, Go Menu Administration -> Manage Search -> "Re-index full text search database"
Comment 2 Ding-Yi Chen 2011-12-08 00:53:31 EST
VERIFIED with Zanata version 1.4.4-SNAPSHOT (20111206-1747)

Yet 1.5 still has this problem.
Comment 3 Ding-Yi Chen 2011-12-09 02:34:47 EST
VERIFIED with Zanata version 1.5-SNAPSHOT (20111209-1504)
Comment 4 Ding-Yi Chen 2011-12-12 20:48:24 EST
REVERIFIED in staging machine Zanata version 1.4.4 (20111211-2301)

Note You need to log in before you can comment on or make changes to this bug.